footer {
    margin-top: 80px;
    padding: 80px 0;
    background-size: 100% auto;
    color: var(--text);
    border-top: 1px solid var(--border)
}

html[data-theme=dark] footer {
    border-top: 1px solid #333
}

.footer_top {
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 80px
}

.col {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: auto
}

footer span.icons {
    width: 42px;
    height: 42px;
    display: flex;
    border: 1px solid #ffffff59;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    align-content: center;
    margin-right: 12px;
    cursor: pointer
}

footer .col .right_block {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    color: var(--text)
}

footer .col .right_block span {
    font-size: 14.66px
}

footer .col.footer_btn a {
    width: 117px;
    height: 41px;
    border-radius: 20px;
    background: #333;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
    font-size: 13.82px;
    font-weight: 700;
    margin-bottom: 15px
}

footer .col.footer_btn a:hover {
    background: var(--primary);
    color: #000
}

footer .footer_moon {
    margin: 20px auto 0;
    text-align: center;
    width: 100%
}

footer span.icons.moon_icon {
    cursor: pointer;
    margin-right: 0;
    margin: 0 auto
}

footer hr {
    border-top: none;
    border-bottom: 1px solid #666
}

footer a {
    color: var(--text)
}

footer a:hover {
    color: var(--text)
}

footer h5 {
    font-size: 13px;
    font-weight: 700;
    color: #fff
}

footer .footer-text {
    overflow: hidden;
    position: relative
}

footer .logo-footer {
    display: flex;
    justify-content: flex-start;
    margin-bottom: 15px
}

footer .logo-footer img {
    width: 174px;
    min-width: 174px
}

footer .footer-col1 .zagol5 {
    font-weight: 200;
    font-size: 13.82px;
    max-width: 290px;
    margin: 0;
    text-align: left
}

footer .footer-text1 {
    display: flex;
    justify-content: center
}

footer .copyright {
    margin: 20px 0 0 0;
    padding: 20px 0 20px 0;
    text-align: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

html[data-theme=light] footer .copyright {
    border-top: 0 solid var(--border);
    text-align: center
}

footer .copyright .col_1 {
    font-size: 13.82px;
    font-weight: 200
}

footer .copyright .zmenu-h {
    padding: 0
}

footer .copyright .zmenu-h a {
    padding: 0;
    font-size: 13.82px;
    text-decoration: underline
}

footer .copyright .zmenu-h a:hover {
    text-decoration: none
}

footer .copyright .zmenu-h li+li {
    margin-left: 30px
}

footer .zagol5 {
    color: var(--text)
}

footer .zagol1,
footer .zagol2,
footer .zagol3,
footer .zagol4,
footer .zagol5,
footer .zagol6,
footer .zagol7,
footer .zagol8 {
    margin-top: 0
}

footer .zmenu-v ul {
    border: 0;
    display: block;
    display: block
}

footer .footer-col2 .zmenu-v ul {
    column-count: 2;
    column-gap: 40px;
}

footer .footer-col2+.footer-col2 .zmenu-v ul {
    column-count: 1
}

footer .zmenu-v ul li {
    border: 0;
    width: auto;
    display: block
}

footer .zmenu-v ul li a {
    border: 0;
    padding: 7px 0 0;
    border-bottom: 0 solid transparent;
    display: inline-block;
    width: auto;
    justify-content: flex-start;
    color: var(--zagol);
    white-space: nowrap;
    flex-direction: row
}

footer .zmenu-v ul li a span {
    max-width: 100px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
}

footer a {
    color: var(--zagol);
}

footer .zmenu-v ul li a:before {
    content: '';
    width: 0%;
    height: 2px;
    background: var(--text);
    opacity: 1;
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: width .3s
}

footer .zmenu-v ul li a:hover {
    background: 0 0;
    text-shadow: none;
    color: var(--primary-hover);
    border-bottom: 0 solid var(--primary)
}

footer a:hover {
    color: var(--primary-hover)
}

footer .zmenu-v ul li a:hover:before {
    width: 100%
}

footer .zmenu-v {
    margin-bottom: 0;
    border: 0 solid #ddd;
    padding: 0 0
}

.footer-col2 {
    display: flex;
    justify-content: center;
    width: auto
}

.footer-col3 {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-content: flex-start
}

.footer-col3 p {
    font-size: 13px;
}

.footer-col3 .col {
    margin-bottom: 15px
}

.footer-col3 .col:last-child {
    margin-bottom: 0
}

.footer-col4 {
    text-align: center
}

footer .footer-time s {
    text-decoration: none
}

footer .footer-time .icon-li {
    display: flex;
    flex-direction: column
}

footer .icon-li {
    padding-left: 30px;
    list-style-type: none
}

footer span.icons {
    width: 42px;
    height: 42px;
    display: flex;
    border: 1px solid var(--border);
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    align-content: center;
    margin-right: 12px;
    cursor: pointer
}

footer .icon-li span.icons {
    margin: -1px 0 -8px -28px
}

footer a:hover svg {
    filter: brightness(1.2)
}

footer .dropdown {
    display: none!important
}

footer .actual_articles {
    font-size: 13px;
    margin-top: 25px;
}

footer .actual_articles noindex {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
}

footer .actual_articles noindex span {
    display: flex;
    width: 100%;
    justify-content: center;
    margin-bottom: 8px;
}

footer .actual_articles a {
    font-size: 0px;
}

footer .actual_articles a {
    width: 36px;
    height: 36px;
    display: inline-flex;
    margin: 4px;
}

footer .actual_articles a svg {
    width: 100%;
    height: 100%;
}

@media (max-width: 1199px) {
    footer,
    html[data-theme=light] footer {
        margin-top: 100px;
        background-position: bottom 140px center
    }
    .footer_top {
        gap: 40px
    }
    footer .footer-col1 .zagol5 {
        font-size: 12px;
        max-width: 250px
    }
    .zmenu-v .zmenu-head {
        margin-bottom: 0
    }
    footer .zmenu-v ul li a {
        font-size: 13px
    }
    footer .col .right_block span {
        font-size: 12px;
        line-height: 1.36
    }
    footer .col .right_block {
        font-size: 12px;
        line-height: 1.29
    }
    .footer-col3:last-child p {
        font-size: 14px
    }
}

@media (max-width: 991px) {
    footer,
    html[data-theme=light] footer {
        margin-top: 75px;
        background: unset
    }
    footer .logo-footer img {
        width: 120px;
        min-width: 120px;
        height: auto;
        object-fit: contain
    }
    footer .footer-col1 .zagol5 {
        font-size: 9px;
        max-width: 130px
    }
    .zmenu-v .zmenu-head {
        font-size: 14px
    }
    footer .zmenu-v ul li a {
        font-size: 12px;
        line-height: 1.44;
        padding-top: 10px
    }
    footer span.icons {
        width: 30px;
        height: auto;
        aspect-ratio: 1/1;
        margin-right: 10px
    }
    footer span.icons svg {
        display: block;
        width: 12px;
        height: 12px;
        object-fit: contain
    }
    footer .col .right_block span {
        font-size: 10px
    }
    footer .col .right_block {
        font-size: 11px
    }
    .footer-col3 .col {
        margin-bottom: 15px
    }
    footer .col.footer_btn a {
        width: 103px;
        height: 37px;
        font-size: 12px;
        margin-bottom: 0
    }
    footer .copyright {
        margin-top: 20px;
        padding: 20px 0
    }
    footer .copyright .col_1,
    footer .copyright .zmenu-h a {
        font-size: 11px;
        line-height: 1.69
    }
    .footer-col3:last-child p {
        font-size: 13px
    }
}

@media (max-width: 767px) {
    footer,
    html[data-theme=light] footer {
        margin-top: 50px
    }
    .footer_top {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, auto);
        gap: 30px 10px
    }
    footer .footer-col1 {
        display: flex;
        flex-direction: column;
        align-items: center
    }
    footer .footer-col1 .zagol5 {
        font-size: 9px;
        line-height: 2.03;
        text-align: center;
        max-width: 220px
    }
    .footer_top>div:nth-child(3) {
        order: 1
    }
    .footer-col3:last-child {
        display: flex;
        flex-direction: column;
        align-items: center;
        grid-row: 2;
        grid-column: 1/-1
    }
    .footer-col3:last-child p {
        font-size: 13px
    }
}

@media (max-width: 575px) {
    footer .copyright {
        margin-top: 25px;
        padding: 10px 0
    }
    footer .copyright .col_1,
    footer .copyright .zmenu-h a {
        font-size: 9px
    }
}

@media (max-width: 479px) {
    .footer_top {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, auto);
        justify-items: stretch;
        justify-content: center;
        gap: 30px 40px
    }
    .footer-col1 {
        grid-row: 1;
        grid-column: 1/-1
    }
    .footer-col2 {
        grid-row: 3;
        grid-column: 1/2;
        order: unset;
        width: 100%;
        width: auto;
        display: flex;
        justify-content: flex-end
    }
    .footer-col2+.footer-col2 {
        grid-column: 2/3;
        display: flex;
        justify-content: flex-start
    }
    .footer-col3:last-child {
        grid-row: 2;
        grid-column: 1/-1
    }
    footer .zmenu-v ul li a {
        padding-top: 9px
    }
    footer .footer-col1 .zagol5 {
        font-size: 8px
    }
    footer .copyright {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 0;
        padding: 10px 0
    }
}

@media (max-width: 359px) {
    footer .logo-footer img {
        width: 80px
    }
    footer .footer-col1 .zagol5 {
        font-size: 9px;
        line-height: 1.69
    }
    footer .col.footer_btn a {
        width: 80px
    }
    footer span.icons.moon_icon {
        margin-right: 0
    }
}